@echo off
REM 功能：AAC封装M4A
REM 作者：heartnn
REM 版本历史：
REM 1.0 发布

title AAC封装M4A

cd /D "%~dp0"
for %%F in (%*) do call :main %%F
goto :eof

:main
setlocal
if /I "%~x1"==".aac" set flag=1
if defined flag (
	libs\ffmpeg.exe -i "%~1" -acodec copy "%~dpn1".m4a
	goto :eof
)
if not defined flag (
	echo ===
	echo === 文件名: %~n1%~x1
	echo === 错误原因：格式不支持
	echo ===
	pause
)
endlocal
goto :eof